Subject: Re: bug#72701: eglot crash when project-files-relative-names t

From: Eli Zaretskii <[email-masked]>
Date: Sat, 07 Sep 2024 10:20:34 +0300

Ping!  Is this issue resolved and can be closed, or do we need to do
anything else here?

> Cc: [email-masked]
> Date: Sat, 24 Aug 2024 02:51:16 +0300
> From: Dmitry Gutov <[email-masked]>
> 
> On 23/08/2024 18:08, João Távora wrote:
> 
> > Eglot could be one of those features if there's a performance advantage.
> > But I doubt it, because server-supplied glob expressions may target the
> > full file name (indeed likely the truename).
> 
> If the glob can match the full name, and it's hard to separate it into 
> two matchers, I suppose there's not much that could be done.
> 
> The binding is probably and an improvement for some off-in-the-future 
> scenario where somebody has Emacs 30 installed, but upgrades project.el 
> to some yet-unreleased version where the variable's default is flipped.
> 
> > Maybe it's worth it nevertheless,
> > dunno.  Anyway while let-binding p-f-r-names to nil in Eglot could work, I
> > don't think it's the right solution, especially since it probably triggers a
> > compilation warning in older Emacsen which don't have this.
> 
> A (defvar ...) at the top of the function's body would help.
> 
> 
> 
>